[darcs-users] Error message

Dan Pascu dan at ag-projects.com
Sat Jun 5 00:51:12 UTC 2010


On 4 Jun 2010, at 23:40, Simon Marlow wrote:

> On 04/06/10 20:30, Dan Pascu wrote:
>
>> So my guess was right. 6.12.1
>
> In which case, it's not a bug I already know about, so we'll need to  
> find a way to reproduce it.

That may be a problem. This is from a cron job running darcs pull  
every 5 minutes for multiple repositories in order to bring them up to  
date with their corresponding central repositories. These repositories  
are read-only. Now I had darcs-1.0.9 before and I never saw any  
issues. On 19 April 2010 I upgraded to darcs-2.4. Since then, I saw  
various errors reported over email once in a while from the cron job.  
Yet since the upgrade I only saw this error once, a few days ago.

However I never saw any of the errors reported by the cron job when I  
run darcs manually from a terminal. Maybe all the errors I see  
reported from the cron job are related to the fact that the cron job  
doesn't really have a terminal attached and that may produce various  
race conditions.

--
Dan








More information about the darcs-users mailing list